<?php

/* DCMS Special
 * Дата последнего редактирования 09.10.2016
 * Модифицировал densnet
 * Автор yadalay
 */

if (access('forum_for_create')) {
    if (isset($_POST['create'])) {
        $name = $db->safesql(trim($_POST['name']));
        $description = $db->safesql(trim($_POST['description']));
        $number = intval($_POST['number']);
        $access = intval($_POST['access']);
        $output = (isset($_POST['output'])) ? 1 : 0;
        $icon = esc(stripcslashes(htmlspecialchars($_POST['icon'])));
        $q = $db->super_query("SELECT COUNT(*) as count FROM `forum` WHERE `name` = '$name'");
        $isset_name = $q['count'];
        $q = $db->super_query("SELECT COUNT(*) as count FROM `forum` WHERE `number` = '$number'");
        $isset_number = $q['count'];

        if (mb_strlen($name) < 3 || mb_strlen($name) > 100) {
            $_SESSION['err'] = lang('В поле Название подфорума можно использовать от 3 до 100 символов');
        } elseif ($number < 0 || $number == NULL || $number == 0) {
            $_SESSION['err'] = lang('Введите уровень');
        } elseif (mb_strlen($description) > 100) {
            $_SESSION['err'] = lang('Слишком длинное описание подфорума');
        } elseif ($isset_number > 0) {
            $_SESSION['err'] = lang('Данный уровень уже использует другой подфорум');
        } elseif ($isset_name > 0) {
            $_SESSION['err'] = lang('Подфорум с таким названием уже существует');
        } else {
            admin_log(lang('Форум'), lang('Подфорумы'), lang("Создание подфорума") . " $name");
            $db->query("INSERT INTO forum SET name = '$name', description = '$description', number = '$number', icon = '$icon', access = '$access', output = '$output'");
            $_SESSION['message'] = lang('Подфорум успешно создан');
            header('Location: ' . DIR_FORUM);
            exit;
        }
    } elseif (isset($_POST['cancel'])) {
        header('Location: ' . DIR_FORUM);
        exit;
    }

    $q = $db->super_query("SELECT MAX(`number`) as number FROM `forum`");
    $next_number = $q['number'] + 1;

    #Навигация
    echo "<div class='list-group-item-null list-group-item-grey'><small>";
    echo "<a href='/' class='hint--right' data-hint='" . lang('На главную') . "'><i class='fa fa-home fa-lg'></i></a> <i class='fa fa-angle-right fa-fw'></i> ";
    echo "<a href='" . DIR_FORUM . "'>" . lang('Форум') . "</a> <i class='fa fa-angle-right fa-fw'></i> ";
    echo lang('Создание подфорума');
    echo "</small></div><br />";

    echo "<form class='list-group-item-null' action='" . DIR_FORUM . "?create_forum' method='post'>";

    $doc->Input('name', 'Название подфорума');
    $doc->Textarea('description', 'Описание подфорума');
    $doc->Input('icon', 'Иконка', null, "folder");
    $doc->Input('number', 'Позиция', null, "$next_number");

    echo lang('Доступ') . ":<br />";
    echo "<label class='custom-control custom-radio'><input id='access0' name='access' type='radio' value='0' checked='checked' class='custom-control-input'><span class='custom-control-indicator'></span> <span class='custom-control-description'>" . lang('Все') . "</span></label><br />";
    echo "<label class='custom-control custom-radio'><input id='access1' name='access' type='radio' value='1' class='custom-control-input'><span class='custom-control-indicator'></span> <span class='custom-control-description'>" . lang('Только администраторы') . "</span></label><br />";
    echo "<label class='custom-control custom-radio'><input id='access2' name='access' type='radio' value='2' class='custom-control-input'><span class='custom-control-indicator'></span> <span class='custom-control-description'>" . lang('Администраторы + модераторы') . "</span></label>";

    echo "<hr>";

    $doc->Checkbox('output', 'Список разделов', 1);

    echo "<hr>";

    $doc->Button('btn btn-primary btn-sm', 'create', null, 'Создать');
    $doc->Button('btn btn-secondary btn-sm', 'cancel', null, 'Отменить');

    echo "</form>";

    require_once H . 'sys/inc/tfoot.php';
} else {
    header('Location: ' . DIR_FORUM);
}
exit;
